Get the learned AI profile
import requests
url = "https://platform.ankra.app/api/v1/org/ai-memory/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-memory/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-memory/profile \
--header 'Authorization: Bearer <token>'{
"profile": {
"communication_style": "<string>",
"verbosity": "<string>",
"expertise_level": "<string>",
"expertise_areas": [
"<string>"
],
"preferred_tools": [
"<string>"
],
"workflows": [
"<string>"
],
"interests": [
"<string>"
],
"notes": [
"<string>"
]
},
"learning_enabled": true,
"turns_observed": 123,
"last_extracted_at": "2023-11-07T05:31:56Z"
}AI Memory
Get the learned AI profile
Returns what the assistant has learned about the calling user (communication style, expertise, preferred tools) and whether learning is on.
GET
/
api
/
v1
/
org
/
ai-memory
/
profile
Get the learned AI profile
import requests
url = "https://platform.ankra.app/api/v1/org/ai-memory/profile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-memory/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-memory/profile \
--header 'Authorization: Bearer <token>'{
"profile": {
"communication_style": "<string>",
"verbosity": "<string>",
"expertise_level": "<string>",
"expertise_areas": [
"<string>"
],
"preferred_tools": [
"<string>"
],
"workflows": [
"<string>"
],
"interests": [
"<string>"
],
"notes": [
"<string>"
]
},
"learning_enabled": true,
"turns_observed": 123,
"last_extracted_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.